# Review at https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=238348

%global minor_version 1.0

Name:		xfce4-verve-plugin
Version:	1.0.0
Release:	11%{?dist}
Summary:	Comfortable command line plugin for the Xfce panel

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minor_version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#
# aarch64 support
# https://bugzilla.xfce.org/show_bug.cgi?id=9944
Patch1:         http://ausil.fedorapeople.org/aarch64/xfce4-verve-plugin/xfce4-verve-plugin-aarch64.patch

BuildRequires:	xfce4-panel-devel >=  4.4.0, libxfcegui4-devel >= 4.4.0, exo-devel >= 0.3.1.3
BuildRequires:	pcre-devel >= 5.0, dbus-glib-devel >= 0.34
BuildRequires:	libxml2-devel, gettext, intltool, perl(XML::Parser)
# temp workaround for perl / perl-Carp issues. 
BuildRequires:  perl-Carp
Requires:	xfce4-panel >= 4.4.1
Provides:	verve-plugin = %{version}
# Retire xfce4-minicmd-plugin
Provides:	xfce4-minicmd-plugin = 0.4-9
Obsoletes:	xfce4-minicmd-plugin =< 0.4-8.fc9


%description
This plugin is like the (quite old) xfce4-minicmd-plugin, except that it ships 
more cool features, such as:
* Command history
* Auto-completion (including command history)
* Open URLs and eMail addresses in your favourite applications
* Focus grabbing via D-BUS (so you can bind a shortcut to it)
* Custom input field width


%prep
%setup -q
%patch1 -p1

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README THANKS 
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_bindir}/verve-focus

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 23 2013 Kevin Fenzi <kevin@scrye.com> 1.0.0-10
- Add patch for aarch64 support. Fixes bug #926794

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 15 2012 Kevin Fenzi <kevin@scrye.com> - 1.0.0-7
- Rebuild for Xfce 4.10(pre2)

* Thu Apr 05 2012 Kevin Fenzi <kevin@scrye.com> - 1.0.0-6
- Rebuild for Xfce 4.10

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 1.0.0-5
- Rebuild against PCRE 8.30

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.0.0-3
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.6-2
- Rebuild for Xfce 4.6 (Beta 3)

* Thu Nov 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.6-1
- Update to 0.3.6
- Remove "verve-plugin" provides because package name now matches upstream

* Thu Jul 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.5-6
- Obsolte the xfce4-minicmd-plugin

* Wed Jun 11 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.5-5
- BuildRequire dbus-glib-devel for all releases (#449438)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.5-4
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.5-3
- Rebuild for BuildID feature
- Update license tag

* Sun Apr 29 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.5-2
- Rebuild for Xfce 4.4.1

* Sat Feb 24 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.5-1
- Update to 0.3.5

* Sat Sep 23 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.4-1
- Initial Fedora Extras version
